summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-text/htmltidy/Manifest1
-rw-r--r--app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch38
-rw-r--r--app-text/htmltidy/htmltidy-5.8.0.ebuild44
3 files changed, 83 insertions, 0 deletions
diff --git a/app-text/htmltidy/Manifest b/app-text/htmltidy/Manifest
index 64a9b40c624..bf1af04e9c9 100644
--- a/app-text/htmltidy/Manifest
+++ b/app-text/htmltidy/Manifest
@@ -1,2 +1,3 @@
+DIST htmltidy-5.8.0.tar.gz 1015303 BLAKE2B e8e48cfdcfffb7c7ac494f71ba709361e21fcbe5cfbd56c29d9d67ffe11fcdc20aa03aace65e6dc5315988dc0dd1fc148be616549f4f84f37928e662633bd7ec SHA512 f352165bdda5d1fca7bba3365560b64d6f70a4e010821cd246cde43bed5c23cea3408d461d3f889110fd35ec9b68aa2b4e95412b07775eb852b7ee1745007a44
DIST tidy-20090325-doc.tar.bz2 13319 BLAKE2B c55c5e10cdfbf0eb62685955cad24f628c21e612bd12c41018c139b3b93db95cc201888f6766d7f68f2d1c4d4cfb2cab25b668eff0d2d241462f4cf9b65e79e1 SHA512 0224d1f839f3829a9c879eba8a98ceee3b0c9f8bfe1721076859714428d534f492acd11e49992fccc2e45afd64d79067793c90f7af06d623ef89e7c16dfee35b
DIST tidy-20090325.tar.bz2 382016 BLAKE2B 3373e94d54cfef866e701e2e258be821b8749dbbbc37b10e4e4e4ba6d7f5995676161ac11bc6a2497f5e02c3907f680fabe9ac6dec2f2365aeb39c03b9697e0a SHA512 daeab2c3dd7f1248a5dbc1585267a8fdb0be09a940b79c3e53c97051f692cf85ea9f0a267f37e1c877054b77efb836d422a1e7ff61b22b383a2d2ac08939b970
diff --git a/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch b/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch
new file mode 100644
index 00000000000..d9b1d3f5e50
--- /dev/null
+++ b/app-text/htmltidy/files/htmltidy-5.8.0-no_static_lib.patch
@@ -0,0 +1,38 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -394,35 +394,6 @@
+
+
+ #------------------------------------------------------------------------
+-# Static Library
+-# The static library always builds.
+-#------------------------------------------------------------------------
+-set(name tidy-static)
+-add_library ( ${name} STATIC ${CFILES} ${HFILES} ${LIBHFILES} )
+-if (WIN32)
+- set_target_properties( ${name} PROPERTIES
+- OUTPUT_NAME ${LIB_NAME}_static )
+-else ()
+- set_target_properties( ${name} PROPERTIES
+- OUTPUT_NAME ${LIB_NAME} )
+-
+-endif ()
+-if (NOT TIDY_CONSOLE_SHARED) # user wants default static linkage
+- list ( APPEND add_LIBS ${name} )
+-endif ()
+-install(TARGETS ${name}
+- RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+- ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+- LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+- )
+-install( FILES ${HFILES} DESTINATION ${INCLUDE_INSTALL_DIR} )
+-if(MSVC)
+- # install(FILES $<TARGET_PDB_FILE:${name}> DESTINATION lib OPTIONAL)
+- INSTALL(FILES ${PROJECT_BINARY_DIR}/${name}.dir/Debug/${name}.pdb
+- DESTINATION lib CONFIGURATIONS Debug )
+-endif()
+-
+-#------------------------------------------------------------------------
+ # Dynamic Library
+ # If the user option is still on.
+ #------------------------------------------------------------------------
diff --git a/app-text/htmltidy/htmltidy-5.8.0.ebuild b/app-text/htmltidy/htmltidy-5.8.0.ebuild
new file mode 100644
index 00000000000..5b1dd6ce6a2
--- /dev/null
+++ b/app-text/htmltidy/htmltidy-5.8.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+MY_PN="tidy-html5"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tidy the layout and correct errors in HTML and XML documents"
+HOMEPAGE="https://www.html-tidy.org/"
+SRC_URI="https://github.com/htacg/${MY_PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+# TODO: get this going - needs Ruby + a bunch of gems
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-no_static_lib.patch
+)
+
+DOCS=( README.md README/CHANGELOG.md )
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TAB2SPACE=ON # for compatibility with W3C versions
+ -DTIDY_COMPAT_HEADERS=ON # ditto
+ -DTIDY_CONSOLE_SHARED=ON
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ pushd regression_testing >/dev/null || die
+ # FIXME: use the correct Ruby interpreter
+ ./test.rb test || die "Test execution failed"
+ popd >/dev/null || die
+}